Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class Grocery

    java.lang.Object
      com.ibm.able.examples.rules.Grocery

All Implemented Interfaces:
  java.io.Serializable

public class Grocery
extends java.lang.Object
implements java.io.Serializable

A Grocery item has a name, a containerType, a size, can be frozen, can require insulation, and knows which bag in which its been placed.

See Also:
  Serialized Form

Field Summary
`protected int` | `bag`
`protected java.lang.String` | `containerType`
`protected boolean` | `frozen`
`protected boolean` | `insulated`
`protected java.lang.String` | `name`
`protected java.lang.String` | `size`

Constructor Summary
`Grocery()`
`Grocery(java.lang.String name, java.lang.String containerType, java.lang.String size, java.lang.String frozen)`

Method Summary
`int` | `getBag()`
`java.lang.String` | `getContainerType()`
`boolean` | `getFrozen()`
`boolean` | `getInsulated()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSize()`
`void` | `setBag(int bag)`
`void` | `setContainerType(java.lang.String containerType)`
`void` | `setFrozen(java.lang.String frozen)`
`void` | `setInsulated(boolean insulated)`
`void` | `setName(java.lang.String name)`
`void` | `setSize(java.lang.String size)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### containerType

    protected java.lang.String containerType

### size

    protected java.lang.String size

### frozen

    protected boolean frozen

### insulated

    protected boolean insulated

### bag

    protected int bag

Constructor Detail

### Grocery

    public Grocery()

### Grocery

    public Grocery(java.lang.String name,
                   java.lang.String containerType,
                   java.lang.String size,
                   java.lang.String frozen)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getContainerType

    public java.lang.String getContainerType()

### setContainerType

    public void setContainerType(java.lang.String containerType)

### getSize

    public java.lang.String getSize()

### setSize

    public void setSize(java.lang.String size)

### getFrozen

    public boolean getFrozen()

### setFrozen

    public void setFrozen(java.lang.String frozen)

### getInsulated

    public boolean getInsulated()

### setInsulated

    public void setInsulated(boolean insulated)

### getBag

    public int getBag()

### setBag

    public void setBag(int bag)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005